﻿<?php

/**
 * LIMPAR O HTML DO PRESTASHOP
 * TIRANDO O <P></P>
 */
function limpar_html($string){
	$string = str_replace("</p>","",$string);
	return str_replace("<p>","",$string);
}

/**
 * VERSÃO MELHORADA DO STRTOUPPER QUE NÃO CAPITALIZA
 * OS CARACTERES LATINOS COMO Ç
 */
function upper ($str) {   
  $LATIN_UC_CHARS = "ÀÁÂÃÄÅĄÆÇÈÉÊËĘÌÍÎÏŁÐÑŃÒÓÔÕÖØÙÚÛÜŚÝŻŹ";   
  $LATIN_LC_CHARS = "àáâãäåąæçèéêëęìíîïłðñńòóôõöøùúûüśýżź";   
  $str = strtr ($str, $LATIN_LC_CHARS, $LATIN_UC_CHARS);   
  $str = strtoupper($str);   
  return $str;   
} 

include (dirname(__file__) . '/../../config/config.inc.php');
include (dirname(__file__) . '/adsgm5.php');

global $cookie, $smarty;

$cookie 		= new Cookie('ps');
$category 		= new Category(1);
$nb 			= intval(Configuration::get('ADSGM5_BOOK'));
$products 		= $category->getProducts(intval($cookie->id_lang), 1, ($nb ? $nb : 6), 'date_add', 'DESC');

$currency 		=  Currency::getCurrency($cookie->id_currency);

$xml = '<?xml version="1.0" encoding="utf-8"?>

			<data in="20081230" out="20730303">
	
					<destaques background="/modules/adsgm5/background.swf" >';

foreach ($products as $key => $data)
{

	$convert	=  	Tools::displayPrice($data['price'], $currency);		
		
    $xml .= '
					<item src="'.__PS_BASE_URI__.'img/p/' . $data['id_image'] . '-adsgm5.jpg" 
					href="' . $data['link'] .'" 
					texto="' . str_replace('"',"", strip_tags( limpar_html ( upper( $data['name'] ) ) ) )  . '"
					preco= "'. $convert . '" 
					desc="'	 . str_replace('"',"", strip_tags( limpar_html(html_entity_decode($data['description_short'])) ) ) .'" ></item>
			';
}

$xml .= '			
					</destaques>

			</data>
';

echo $xml;

?>